Loading...
Searching...
No Matches
dolfin::LocalMeshData::Geometry Struct Reference

Holder for geometry data. More...

`#include <LocalMeshData.h>`

## Public Member Functions

| Geometry ()
| Constructor.
void | clear ()
| Clear data.
void | unpack_vertex_coordinates (const std::vector< double > &values)
| Unpack received vertex coordinates.

## Public Attributes

int | dim
| Geometric dimension.
std::int64_t | num_global_vertices
| Global number of vertices.
boost::multi_array< double, 2 > | vertex_coordinates
| Coordinates for all vertices stored on local processor.
std::vector< std::int64_t > | vertex_indices

## Detailed Description

Holder for geometry data.

## Member Data Documentation

## vertex_indices

std::vector<std::int64_t> dolfin::LocalMeshData::Geometry::vertex_indices

Global vertex indices for all vertices stored on local processor

The documentation for this struct was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/LocalMeshData.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/LocalMeshData.cpp